package com.aucma.api.domain.vo;

import com.aucma.api.domain.dto.WERKSDto;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;
import java.util.List;

/**
 * 物料主数据
 *
 * @Author YinQ
 * @create 2023-09-27 13:37
 */
public class SAPResultVo {

    @JsonProperty(value = "O_TAB")
    private HashMap<String,  List<HashMap<String, String>>> O_TAB;

    @JsonProperty(value = "WERKS")
    private String WERKS;

    @JsonProperty(value = "O_RETURN")
    private WERKSDto O_RETURN;

    public HashMap<String, List<HashMap<String, String>>> getO_TAB() {
        return O_TAB;
    }

    public void setO_TAB(HashMap<String, List<HashMap<String, String>>> o_TAB) {
        O_TAB = o_TAB;
    }

    public String getWERKS() {
        return WERKS;
    }

    public void setWERKS(String WERKS) {
        this.WERKS = WERKS;
    }

    public WERKSDto getO_RETURN() {
        return O_RETURN;
    }

    public void setO_RETURN(WERKSDto o_RETURN) {
        O_RETURN = o_RETURN;
    }

    @Override
    public String toString() {
        return "SAPResultVo{" +
                "O_TAB=" + O_TAB +
                ", WERKS='" + WERKS + '\'' +
                ", O_RETURN=" + O_RETURN +
                '}';
    }
}
